VirtualBox

Ticket #18914 (new defect)

Opened 2 years ago

Last modified 6 months ago

VBoxSVGA 3D rendering problems

Reported by: sunrider Owned by:
Component: 3D support Version: VirtualBox 6.0.12
Keywords: Cc:
Guest type: Windows Host type: Linux

Description

VBox 6.0.12

Host: Ubuntu 16.04; 4.15.0-60-generic #67~16.04.1-Ubuntu

Guest: Win10(64) Version 19.03 (OS Build 18362.329)

MS Outlook for Office 365 MSO (16.0.11929.20234) 64-bit

Guest: VBoxSVGA, 2D enabled, 3D enabled, Guest Additions 6.0.12

MS Outlook window is rendered with black/white/grey boxes. Window is responsive, e.g. can close the application by clicking at the top right corner, where the 'X' close widget should be.

Problem disappears when disabling 3D in VM settings.

Attachments

awwork-2019-09-09-08-22-27.log Download (187.7 KB) - added by sunrider 2 years ago.
VBox log
VirtualBox_awwork_09_09_2019_08_21_58.png Download (262.3 KB) - added by sunrider 2 years ago.
Problem sample screenshot
Virtualbox Win 10-2019-09-11-11-29-44.log.zip Download (27.1 KB) - added by Niel Buys 2 years ago.
essaion_VBox-logs.7z Download (52.8 KB) - added by essaion 2 years ago.
VBox.log and VBoxHardening.log
Image 1423.png Download (194.4 KB) - added by essaion 2 years ago.
Control-tab visual switcher previewing glitched windows
Image 1426.png Download (70.4 KB) - added by essaion 2 years ago.
Outlook window showing...uh... some real weirdness.
Screenshot from 2019-12-14 17-52-55.png Download (24.1 KB) - added by sunrider 2 years ago.
Typical problem observation with VBox 6.1.0
logfiles_20191216.zip Download (66.1 KB) - added by 0x00 2 years ago.
vbox 6.1.0
vbox610_msteams_black.png Download (431.7 KB) - added by 0x00 2 years ago.
VBox.log_freeze.zip Download (30.4 KB) - added by 0x00 2 years ago.
vbox-logs-20191219-MH.zip Download (76.9 KB) - added by MatthewHawn 2 years ago.
Log Files for Chrome Black Box
VBox.log Download (188.9 KB) - added by Parazythum 23 months ago.
Asus laptop with Nvidia GTX 1050 - Ubuntu 18.04 host and Win7 guest
VBox.log.1 Download (184.8 KB) - added by Parazythum 23 months ago.
Asus laptop with integrated intel GPU - Ubuntu 18.04 host and Win7 guest
VBox.2.log Download (345.5 KB) - added by rking 22 months ago.
More of the same WDDM bugs in the latest release.
VirtualBox_Win10 Dev_03_02_2020_22_18_19.png Download (8.9 KB) - added by rking 22 months ago.
Image of Windows 10 black background loading screen at bootup. Interesting visual.
CAD on 6.1.2.mp4 Download (464.0 KB) - added by lozìo 22 months ago.
CAD running in W7 guest, W10 host
VBox (Intel UHD 620).log Download (168.7 KB) - added by lozìo 22 months ago.
Dell Inspiron 7580, Intel UHD 620, W7Pro guest on W10Pro host
VBox (NVIDIA GeForce MX250).log Download (168.5 KB) - added by lozìo 22 months ago.
Dell Inspiron 7580, Nvidia GeForce MX250, W7Pro guest on W10Pro host
VBox_linux_host_w10_guest_3d_broken.log Download (231.7 KB) - added by wildpointer 22 months ago.
VBox_linux_host_w10_guest_no3d.log Download (86.9 KB) - added by wildpointer 22 months ago.
vbox_linux_host_windows_guest_settings.png Download (57.7 KB) - added by wildpointer 22 months ago.
vbox_linux_host_w10_guest_fusion_360.png Download (136.9 KB) - added by wildpointer 22 months ago.
Fusion360 does not display properly with 3D acceleration. (The two orange boxes labeled Name, I have added to hide my name. They are not part of the error, sorry.)
VBox.log.1.zip Download (53.8 KB) - added by incident41 22 months ago.
No-3D-Accelleration-VBox.log Download (148.9 KB) - added by weylin 21 months ago.
With-3D-Accelleration-VBox.log Download (169.0 KB) - added by weylin 21 months ago.
Dimitar_VBox.log Download (197.7 KB) - added by Dimitar 20 months ago.
VBox.3.log Download (228.0 KB) - added by Parazythum 20 months ago.
Parazythum-6.1.6
vmlog.zip Download (46.2 KB) - added by ehrichweiss23 6 months ago.
Log that might help devs.

Change History

Changed 2 years ago by sunrider

VBox log

Changed 2 years ago by sunrider

Problem sample screenshot

comment:1 Changed 2 years ago by 0x00

I can confirm this, see  https://forums.virtualbox.org/viewtopic.php?f=2&t=94585 I am having this issue since the first Vbox 6 version, it's not only in 6.0.12.

comment:2 Changed 2 years ago by socratis

I'm going to tie the thread in the forums to the ticket...

comment:3 Changed 2 years ago by Niel Buys

I have the same problem with my Excel I am adding my log file.

Changed 2 years ago by Niel Buys

comment:4 Changed 2 years ago by Sergey I.

same problem with Skype4Business.

Kubuntu 18.04.3 host.

Last edited 2 years ago by Sergey I. (previous) (diff)

comment:5 Changed 2 years ago by SHSolutions

Hi there,

I've got the same problem with Ubuntu 18.04.3 LTS / VBox 6.0.12 / Windows 10 Guest. MS Office 365 is rendered in Black&White Boxes like described above. With 3D Support disabled it works.

Had a similar problem with Internet Explorer, where some parts in MS Project Web Access where rendered black / white. This was solved with installing the latest version of VirtualBox Guest Additions.

comment:6 Changed 2 years ago by 0x00

I have just installed 6.0.14 + guest additions and still have the graphical glitches with VBoxSVGA + 3D - e.g. in the windows start menü, or MS teams which is completely black. I have disabled 3D acceleration and the issues are gone again.

comment:7 Changed 2 years ago by Niel Buys

Problem still in 6.0.14 update with Excel 2019

comment:8 Changed 2 years ago by bakape

Can reproduce in 6.0.14 with Word and Excel 16.

comment:9 Changed 2 years ago by Deloril

I don't know if this relevant, but I am suffering from what appears to be the same problem and I noticed the following:
In the properties for the "Generic Non-PnP Montor and VirtualBox Graphics Adapter (WDDM)" within the Windows 10 guest, it reports the following:
Dedicated Video Memory : 384 MB

In the VirtualBox Settings on the Linux host, I have the following settings:
Video Memory : 256 MB

These two settings differ and it suggests that Windows is trying to use more memory than has been made available to it. I have previously noticed that if drivers try to use memory that isn't actually present, weird things happen, so it occurred to me that this difference might be significant.

comment:10 Changed 2 years ago by socratis

Please try the latest (6.0.x revision 134343+) build from https://www.virtualbox.org/wiki/Testbuilds

Both the host package and the guest additions must be updated.

comment:11 Changed 2 years ago by essaion

Hello there,

I just installed 6.1.15 revision 134343 to check whether it fixes the issue: it does not. Using Excel and Outlook on the guest, I am seeing glitches that are very similar to the ones that are visibles ont the screenshot provided by sunrider. In its current state, 3D acceleration using VBoxSVGA is not usable, at least not reliably, not on my rig.

FWIW I will also provide the VBox log for this VBox session.

Regards.

Changed 2 years ago by essaion

VBox.log and VBoxHardening.log

comment:12 Changed 2 years ago by essaion

It might not be of much help, but I can add that I find the VBoxVGA graphic controller to be much more reliable, as when using it, the visual glitches never appear, and overall the VM is rock-stable. Using VBoxSVGA, I was witnessing about one crash a day: the whole VM would simply stop responding, and VBox.log would contain only one record about the crash ("VMMDev: vmmDevHeartbeatFlatlinedTimer: Guest seems to be unresponsive. Last heartbeat received 4 seconds ago"). Even minutes after the VM stopped responding. :/

comment:13 Changed 2 years ago by Allebone

I am also affected by this same bug, that means I cannot use Office365 Teams desktop app in a windows guest with 3d acceleration enabled. I am using Ubuntu 19.10 Virtualbox host. When 3d is enabled then Teams is completely black as described, however you can interact with it if you guess where to click, so it is functioning, just not displaying any image. Guest additions are 6.0.14. Disabling the 3D and only having 2D ticked resolves the issue.

comment:14 Changed 2 years ago by sunlover

The problem with MS Office applications should be fixed in the latest VirtualBox 6.0.x revision 134701.

Please install the VirtualBox host package first. Then update the guest additions in the guest.

Please make sure that you download and install the guest additions 6.0.x revision 134701, because VirtualBox host packages might include an older GA ISO.

comment:15 follow-up: ↓ 16 Changed 2 years ago by Allebone

Im actually unsure how to achieve installing the test version without losing access to the stable version I use on a daily basis so will have to wait until its committed to the stable version and report back after that. I have this bookmarked so will check in every couple of weeks.

comment:16 in reply to: ↑ 15 Changed 2 years ago by socratis

Replying to Allebone:

Im actually unsure how to achieve installing the test version without losing access to the stable version

You don't. But I'm not sure why you're calling the test builds "unstable". They don't include experimental/new code, they mostly include the bug fixes that are going to make it to the next release. They're as stable as a release.

Plus you will be helping the developers know that they're moving in the right direction... ;)

I have this bookmarked so will check in every couple of weeks.

You should be getting an e-mail every time there's an update to the ticket...

Changed 2 years ago by essaion

Control-tab visual switcher previewing glitched windows

Changed 2 years ago by essaion

Outlook window showing...uh... some real weirdness.

comment:17 Changed 2 years ago by essaion

Hello there all,

I downloaded and installed 6.0.15 r135093 on the host system (Windows 10 rev.1903), then the newly-downloaded Guest Additions (indicated as r135092 on the download page, although the installer program really mentions "VirtualBox Windows Additions 6.0.15 r135093" in the lower left corner of the window). After which I switched the video controller to VBoxSVGA.

That was like 5 days ago (Allebone had already posted, but not socratis).

Since then, I experienced only one global freeze (100% irresponsive VM). The situation is much, much better on MS Office applications - although it is still not 100% clean: from time to time, switching to an MS application shows a mostly dark window, or a... weirdly-contented window, even though moving the cursor or clicking in the bizarre window generally forces the refresh. Please refer to attachment "Image 1426.png" that is quite a view. :)

Don't know if this is expected: the Control-Tab visual switcher actually previews the visual glitches. Cf. attachment "Image 1423.png" (apologies for the heavy blurring of most parts of this capture): the relevant parts are the second Word windows on both lines, that were showing quite the same - mostly black windows, and the Excel window (first on the second line, showing some kind of heavily stretched title bar and ribbon) and the Outlook window (4th on the 2nd line, blurred ribbon, blank mails list pane, blank preview pane, strange left pane).

Cheers.

Last edited 2 years ago by essaion (previous) (diff)

comment:18 Changed 2 years ago by sunlover

essaion, thanks for testing and feedback. Please do not forget to attach VBox.log of a VM session where you saw the graphics glitches and where the VM became irresponsible.

comment:19 Changed 2 years ago by bio_james

VBox 6.1.0
Host: Ubuntu 18.04 5.3.0-24-generic on an i5 Intel HD5500
Guest: Win7 (64bit)
Guest: VBoxSVGA, 3D enabled, Guest Additions 6.1.0
Powerpoint for Office 365 64-bit

With WDDM driver graphical elements become progressively more corrupted following a fresh reboot of the guest. Icons/menu items invisible and only appear when moused over; some bitmaps on slides appear as black boxes or are scrambled. On restart of the software the entire window has appeared greyed out and no interactive elements appear even on mouse-over. Sometimes the windows taskbar, menu and desktop also start to act like this.

Switching off hardware acceleration in Powerpoint stops this behaviour in the application. Switching off 3D acceleration entirely for the guest prevents this from occurring for the whole VM.

Downgraded to 6.0.14 with GA WDDM driver and the behaviour was the same. Re-installed GA with DirectX driver and the graphics corruption was no longer evident.

comment:20 Changed 2 years ago by sunrider

Update to original defect report:

VBox 6.1.0

Host: Ubuntu 18.04; 4.15.0-71-generic #81-Ubuntu

Guest: Win10(64) Version 19.09 (OS Build 18363.535)

MS Outlook for Office 365 MSO (16.0.12228.20364) 64-bit

Guest: VBoxSVGA, 2D enabled, 3D enabled, Guest Additions 6.1.0

MS Outlook window is rendered inconsistently with missing window elements. Partially, window elements only appear after moving the mouse pointer over them. May or may not disappear when mouse moves away from the element. Erratic behavior like spontaneous font changes can be observed. Text may only appear when scrolling it in the window. Window is responsive, e.g. can close the application by clicking at the top right corner, where the 'X' close widget should be.

Flickering can be observed on all window elements and also on the windows desktop, e.g. the start menu.

The larger grey/white/black boxes that were observed at the time of the original defect, do not appear anymore.

Problem disappears when disabling 3D in VM settings.

Changed 2 years ago by sunrider

Typical problem observation with VBox 6.1.0

comment:21 Changed 2 years ago by sunlover

sunrider, a screenshot is not enough. For instance I do not experience the described problems on my Ubuntu host.

Always attach the corresponding VBox.log. Reports are useless without it.

Changed 2 years ago by 0x00

vbox 6.1.0

Changed 2 years ago by 0x00

comment:22 Changed 2 years ago by 0x00

it's still not fixed in 6.1.0, having this issue over a year now and Virtualbox 3D support is unusable (without 3D it works, but is slow). Also, I can't check the box "2D acceleration", after clicking OK it always disables it automatically.

attached (logfiles_20191216.zip) are two log files, as an example, MS Teams is nearly completely black with 3D support enabled (see vbox610_msteams_black.png). the other log file is without 3D support where it works. didn't bother trying other MS Office applications such as Outlook as I'm certain they won't work as well, same with the icon bar at the bottom. if i hover over it, the icons change to black/transparent.

Changed 2 years ago by 0x00

comment:23 Changed 2 years ago by 0x00

not sure if it is related to the graphics issue but I think so.

I also get random freezes like a few times per hour, which really sucks and makes working with VBox hell. It happened again now after 10min of usage. Vbox will run with 100% CPU then and my fans are spinning up. Settings are the same, 3D disabled (2D as well as I can't enable it for whatever reason). I have shut down the VM with ACPI, attached: VBox.log_freeze.zip

comment:24 Changed 2 years ago by 0x00

sorry for the spam :) just remembered another graphics problem, maybe related as well: I also get random black flickering over the whole screen, so the there is like a black layer over the whole screen for about half a second and I can't do anything during that time. sometimes it happens more often and even multiple times consecutively, other times there are no issues for a longer period of time. not sure if it is related to the Microsoft applications (Office like Outlook and Word, or Teams) as they are running all the time.

comment:25 Changed 2 years ago by sunlover

0x00, thanks for the logs.

BTW, there is a number of important 3D fixes in the latest 6.0.x revision 135471 build from https://www.virtualbox.org/wiki/Testbuilds Worth a try.

comment:26 Changed 2 years ago by Allebone

Hi there,

After socratis moaned at me for using the nomenclature that virtualbox devs use I googled how to change my build in Linux and I installed the following packages to test (from the area labelled test builds sorry if that development name offended anyone in advance :) )

VirtualBox-6.1.0-135406-Linux_amd64.run - confirmed in help about same version after installation.

Oracle_VM_VirtualBox_Extension_Pack-6.1.0-135406.vbox-extpack - confirmed same version installed when adding to virtualbox.

VBoxGuestAdditions_6.1.0.iso - confirmed in system tray same version was installed after installing ISO.

Once this was all setup I enabled 3D acceleration on the display settings. Upon booting the same issue was observed. i have attached a screenshot of Microsoft teams with the same issue present. I powered down and disabled 3D acceleration. Things seemed to function normally upon booting without 3D acceleration so I will continue to use this test build daily for a while and see if any other issues crop up or if it seems stable with no regressions and report back. Let me know if you want me to test another build now I have this installation/uninstallation from the .run file figured out and how to enable the kernel modules with the sudo /sbin/vboxconfig command.Hope this info helps.

https://i.postimg.cc/YS0mgLcN/teams.jpg

Kind regards Pete

Logs:  https://1drv.ms/u/s!AqwJ_6dkc4jhkvtOl1-HNtfxrwuGXw

comment:27 Changed 2 years ago by sunlover

Right, the logs indicate that you have used VirtualBox VM 6.1.0 r135406. This is an old build which does not have the latest fixes.

Please try Linux 64-bit 'development revision 135485' and Guest Additions 'development revision 135479' from https://www.virtualbox.org/wiki/Testbuilds

comment:28 Changed 2 years ago by Allebone

Just downloaded - Linux 64-bit development revision 135485, Guest Additions development revision 135479, Extension Pack development revision 135485, from the supplied page you gave and installed virtualbox. Ran sudo /sbin/vboxconfig

Installed Extension pack. Enabled 3D acceleration. Installed Guest additions and restarted VM. The identical problem was observed with no difference from my previous post. Teams is just a black box as per the screenshot. Powered down VM, turned off 3D acceleration. Everything back to normal. Seems like a reproducible error for anyone following the same steps (using 3D acceleration) and MS Teams. There was no difference between this version you suggested and the previous 6.1.0 build I tried, so they must be pretty similar.

Pete

Last edited 2 years ago by Allebone (previous) (diff)

comment:29 Changed 2 years ago by sunlover

Allebone, Microsoft Teams works here on Ubuntu 19.10 host, Mesa 19.2 drivers. I tested with Windows 1903 guest.

I'm not sure what is happening on your system.

comment:30 follow-ups: ↓ 31 ↓ 36 Changed 2 years ago by Allebone

Hmm, ok so I have an Nvidia card so use the proprietary drivers, so as a test I switched to Intel powersaving mode and using the VM with 3D enabled did not cause a problem. I switched back to Nvidia performance mode and without changing any settings on the VM the problem returned so must be something to do with that Nvidia mode then. My laptop just has an old GTX 1050 card in it.

P

comment:31 in reply to: ↑ 30 Changed 2 years ago by socratis

Replying to Allebone:

so must be something to do with that Nvidia mode then

Rejected due to  Hardening Issues perhaps? Open your "VBox.log" and search for the string "supr3". If you find any, look at what's been rejected.

comment:32 Changed 2 years ago by Allebone

Well I looked at the page you suggested and am not really sure. I dont have a vboxhardening.log file to check. I did try changing the hypervisor from default to hyperv but didnt notice any change (not sure what default even is?) I also checked my vbox.log file for the supr3 string but didnt find it anywhere. Here is the vbox.log file in case you want to double check. I also thought I would check the nvidia driver installed in the control panel and apparently its nvidia-driver-418 from the Ubuntu repos. Not sure if thats relevant. logs:  https://1drv.ms/u/s!AqwJ_6dkc4jhkv4TyOjffZT1UyXHzA

comment:33 Changed 2 years ago by MatthewHawn

I have the same issue with Chrome. Black Box with 3d acceleration enabled

VirtualBox version: Testing: Version 6.1.1 r135485 (Qt5.6.1)

Host: Ubuntu 18.04 w/ 32 GB RAM (64bit) Intel Graphics
Guest VM: 2 CPUs, 4G Ram, VBoxSVGA with 3d acc, 256 MB video
Guest OS: Windows 10 Enterprise 64bit (10.0.17763 Build 17763)
Guest Additions: Testing: 6.1.1 135479

I have attached logs for both 6.1.0 and testing r135485, both a good (chrome rendered) and bad (chrome black box)

Should also mention, I am running under Wayland

VM Worked find in 6.0 running under VboxVGA.

Last edited 2 years ago by MatthewHawn (previous) (diff)

Changed 2 years ago by MatthewHawn

Log Files for Chrome Black Box

comment:34 Changed 23 months ago by the_source_him

Same problem with MS Office 360 under Windows 10 guest (Fedora 31 host), virtualbox 6.1.2.

comment:35 Changed 23 months ago by Sagitariozod

Same problem with MS Office 2016 under Windows 10 guest (Ubuntu 19.10 host), virtualbox version 6.1.2

VirtualBox version: Testing: Version 6.1.2 r135662 (Qt5.12.4)

Host: Ubuntu 19.10 w/ 16 GB RAM (64bit) Amd Graphics

Guest VM: 2 CPUs, 4G Ram, VBoxSVGA with 3d acc, 256 MB video

Guest OS: Windows 10 Pro 64bit (10.0.18362.592)

Guest Additions: Testing: 6.1.2.r135662

Word 2016 Screenshot:

https://i.postimg.cc/zGR5DgLF/2020-01-16-094124.png

Last edited 23 months ago by Sagitariozod (previous) (diff)

Changed 23 months ago by Parazythum

Asus laptop with Nvidia GTX 1050 - Ubuntu 18.04 host and Win7 guest

comment:36 in reply to: ↑ 30 Changed 23 months ago by Parazythum

Replying to Allebone:

Hmm, ok so I have an Nvidia card so use the proprietary drivers, so as a test I switched to Intel powersaving mode and using the VM with 3D enabled did not cause a problem. I switched back to Nvidia performance mode and without changing any settings on the VM the problem returned so must be something to do with that Nvidia mode then. My laptop just has an old GTX 1050 card in it.

P

Hey, I'm experiencing exactly the same thing, and with the same graphics card : Asus laptop with GTX 1050, Win7 guest under Ubuntu 18.04 with NVidia proprietary driver 430. No pb with this card under Ubuntu, I even do heavy CUDA calculus with it... Using VirtualBox 6.1.2 with the extension pack and guest additions up to date and properly uninstalled then re-installed in safe mode after a reboot.

In the Win7 guest:

When I switch to NVidia mode:

  • I have bad display in Photoshop with for example the Digital Film Tools plugins that only display a big black zone, and nothing else -> it is unusable
  • Using demos in the GPU CAPS Viewer utility, the "furry cube" doesn't show any hairs, the "shadows" demo doesn't show anything at all. The text over the demos (showing fps) isn't there

When I switch to integrated intel GPU:

  • I have some glitches in the same Photoshop plugins but they are mostly usable, there are some zones that remain black, but all the rest is good
  • All works as expected in GPU CAPS Viewer and the furry cube is soooo hairy !

I'm including the logs in NVidia mode AND integrated Intel mode

Last edited 23 months ago by Parazythum (previous) (diff)

Changed 23 months ago by Parazythum

Asus laptop with integrated intel GPU - Ubuntu 18.04 host and Win7 guest

comment:37 Changed 23 months ago by JN

If the developers need yet more logs then I can provide some from a machine with Intel onboard graphics. I have VirtualBox 6.1.2 (though that was hard to determine, because on my computer the VirtualBox version text becomes visible only when selects it - blindly - with the mouse . . Screenshot:

https://i.postimg.cc/Gt8RkZ3V/2020-01-22-16-01.png

)

(How this should-be - *sic* - show-stopper bug made it into a release, I don't know.)

Last edited 23 months ago by JN (previous) (diff)

comment:38 follow-up: ↓ 43 Changed 23 months ago by Parazythum

I have tested on another machine, this time with a nVidia GTX 1080Ti, and I played with the drivers. With the nVidia driver 430, it is the same as I told 7 days ago. Same conditions, same results.

But when I installed the older driver version 415, the nVidia and intel gpus work almost the same way, all is mostly usable. Even the hairs on the cube are here :)

I'm beginning to suspect changes in the latest versions of nVidia drivers which don't implement well the opengl functions... or maybe it's the VirtualBox use of opengl that isn't totally compliant ?

comment:39 Changed 23 months ago by bernd_b

Tried development revision 135764 64bit on my Ryzen 2400G Linux with Windows 7 as guest and the described problem with opening office 2016 (in my case Excel) persists.

So I keep 3D disabled so far.

Changed 22 months ago by rking

More of the same WDDM bugs in the latest release.

Changed 22 months ago by rking

Image of Windows 10 black background loading screen at bootup. Interesting visual.

comment:40 Changed 22 months ago by rking

I've added another image and log to the list. The image shows the white flag and dot circle scattered into 5 different extended and pixelated image sets across the first monitor. This is really starting to look a lot like something's wrong with how the WDDM 3D driver is managing video memory, as if it's distorting all the images horizontally, causing them to be both displaced and distorted at the same time.

nVidia GeForce GTX 960

Ubuntu 18.04

VirtualBox Version 6.1.2 r135662 (Qt5.9.5)

Changed 22 months ago by lozìo

CAD running in W7 guest, W10 host

Changed 22 months ago by lozìo

Dell Inspiron 7580, Intel UHD 620, W7Pro guest on W10Pro host

Changed 22 months ago by lozìo

Dell Inspiron 7580, Nvidia GeForce MX250, W7Pro guest on W10Pro host

comment:41 Changed 22 months ago by lozìo

Attached a video of a CAD running on Windows 7 guest (Windows 10 Host, VBox 6.1.2 r135662 (Qt5.6.2)) Display is heavily mangled, looks like there are major issues in mapping the memory window.

When zooming in/out the correct image is shown for a fraction of a second, but then it is rendered in another area (which is smaller, wrongly zoomed and with an offset). Objects are highlighted correctly, though.

The CAD application uses OpenGL. Same behaviour with both Intel UHD 620 and NVIDIA GeForce MX250 (the latter is just faster).

Changed 22 months ago by wildpointer

Changed 22 months ago by wildpointer

comment:42 Changed 22 months ago by wildpointer

I would like to report the same error: Enabling 3D acceleration causes weird black box glitches on Windows 10 guest, and even worse, Fusion360 does not work. :( I have tried the VBoxSVGA graphics controller (3D acceleration enabled) and VBoxVGA (2D and 3D acceleration enabled)

Host: Linux Mint 19.2 Tina

  • NVIDIA GM108M [GeForce 940MX]
  • Display: x11 server: X.Org 1.19.6 driver
  • OpenGL: renderer: GeForce 940MX/PCIe/SSE2 v: 4.6.0 NVIDIA 430.26 direct render: Yes
  • Virtualbox version 6.1.2 r135662 (Qt5.9.5)

Guest: Windows 10 (going to attach display settings vbox_linux_host_windows_guest_settings.png).

And I have tried installing the testbuild VBoxGuestAdditions_6.0.17-135818

One log file has 3D acceleration (doesn't work) where I started the VM, started Fusion 360, waited a bit and shut it off. In the other, I started the VM with no 3D acceleration.

EDIT Drag and drop wasn't working in the testbuild GuestAdditions (and I don't mean drag and drop files between guest/host... I mean any drag and drop in the guest system). I had to switch back to the version shipped with VirtualBox 6.1.2.

Last edited 22 months ago by wildpointer (previous) (diff)

Changed 22 months ago by wildpointer

Changed 22 months ago by wildpointer

Fusion360 does not display properly with 3D acceleration. (The two orange boxes labeled Name, I have added to hide my name. They are not part of the error, sorry.)

comment:43 in reply to: ↑ 38 Changed 22 months ago by Parazythum

I have tested a bit more with the integrated Intel GPU, and it is not as good as I thought at first glance.

Looking more closely at GPU CAPS demos, there are problems with the view. There's a demo with golden tubes and you can actually see the inside here and there - that should be the metallic surface we see and not the interior! The "shadows" demo is not behaving right, it is too dark and shadows don't always act like they should.

Some plugins in Photoshop CS 2017 that use 3D functions don't show anything else than big black boxes, unusable. Some others show some images upside-down !

So what I was saying about NVidia drivers was wrong, I don't think any more there's a problem with them.

Now what I think is there's definitely something wrong with the way the z indexes or the surface normals are handled by VirtualBox.

Replying to Parazythum:

I have tested on another machine, this time with a nVidia GTX 1080Ti, and I played with the drivers. With the nVidia driver 430, it is the same as I told 7 days ago. Same conditions, same results.

But when I installed the older driver version 415, the nVidia and intel gpus work almost the same way, all is mostly usable. Even the hairs on the cube are here :)

I'm beginning to suspect changes in the latest versions of nVidia drivers which don't implement well the opengl functions... or maybe it's the VirtualBox use of opengl that isn't totally compliant ?

comment:44 Changed 22 months ago by sb56637

Bug still present with host system running VBox 6.1.2 on Linux with Intel integrated graphics, and a Win10 guest.

https://www.virtualbox.org/raw-attachment/ticket/18982/Screenshot_20191004_115345.png

comment:45 Changed 22 months ago by incident41

Hardware: Lenovo ThinkPad T470 Graphics card: from lspci: 00:02.0 VGA compatible controller: Intel Corporation HD Graphics 620 (rev 02)

Just hit this one right after upgrading to 6.1.4 from 6.1.2 on Oracle Linux 7 fully up-to-date host, Windows 10 1903 18362.592.

Powerpoint 365 displayed rectangle with some borders, nothing useful visible, some hover-over functionality still preserved, window buttons for maximize/minimize/close would work despite being invisible.

Rebooting again into VBoxSVGA but with 3D accel disabled made Powerpoint 365 work again.

Last edited 22 months ago by incident41 (previous) (diff)

comment:46 Changed 22 months ago by gojul

Smae problem here.

Disabling 3D rendering fixes the issue, but is far from satisfactory.

Please note that Skype and Visual Studio installer are also affected.

comment:47 Changed 22 months ago by Niel Buys

Same here problem still exist in Virtualbox 6.1.4

comment:48 Changed 22 months ago by incident41

Wanted to add that an apparent obvious difference in my 6.1.4 logs is this 'Giving up' message:

[root@tippy Logs]# egrep 'VM 6\.1\.[24]|Giving up' VBox.log.?
VBox.log.1:00:00:00.692264 VirtualBox VM 6.1.4 r136177 linux.amd64 (Feb 18 2020 18:30:02) release log
VBox.log.1:01:38:59.981536 TM: Giving up catch-up attempt at a 60 000 201 556 ns lag; new total: 92 696 167 064 ns
VBox.log.1:01:53:06.864838 TM: Giving up catch-up attempt at a 60 000 001 040 ns lag; new total: 152 696 168 104 ns
VBox.log.1:02:13:11.272571 TM: Giving up catch-up attempt at a 60 000 017 985 ns lag; new total: 212 696 186 089 ns
VBox.log.1:02:51:18.680795 TM: Giving up catch-up attempt at a 60 000 019 147 ns lag; new total: 276 129 311 764 ns
VBox.log.1:03:02:38.130678 TM: Giving up catch-up attempt at a 60 000 176 804 ns lag; new total: 336 129 488 568 ns
VBox.log.1:03:11:48.165896 TM: Giving up catch-up attempt at a 60 000 060 193 ns lag; new total: 396 129 548 761 ns
VBox.log.2:00:00:00.580370 VirtualBox VM 6.1.2 r135662 linux.amd64 (Jan 13 2020 12:26:20) release log
VBox.log.3:00:00:00.608501 VirtualBox VM 6.1.2 r135662 linux.amd64 (Jan 13 2020 12:26:20) release log

I'll be attaching the relevant log now.

Changed 22 months ago by incident41

comment:49 Changed 22 months ago by soapydk

I'll also add that this problem applies to the Microsoft Office installers, too.

I have the same symptoms as others on RHEL 8.1 host with Windows 7 and 10 guests in VirtualBox 6.1.4.

comment:50 Changed 21 months ago by TomBl

Same problem for me, luckily gojul's workaround (disabling 3D rendering) worked. My system is an Intel NUC8i7BEH, which has Intel Corporation Iris Plus Graphics 655. Using Ubuntu 19.10 as host and Windows 10 as guest.

Changed 21 months ago by weylin

Changed 21 months ago by weylin

comment:51 Changed 21 months ago by weylin

Added VBox.log files showing the same issue still persisting.

  • VB 6.1.4 with Guest Extensions
  • VBoxSVGA (both with and without 3D accelleration)
  • MacBook Pro Late 2013
  • macOS host 10.15.3 (Catalina)
  • Win10 Guest, 1909

comment:52 Changed 20 months ago by Dimitar

Hello,

I have the same issue as the reporter. My setup is as follows:

HP ProBook 440 G5 with VGA compatible controller: Intel Corporation UHD Graphics 620 (rev 07)
Arch linux with kernel 5.4.30-1-lts
virtualbox 6.1.4-5
virtualbox-guest-iso 6.1.4-1
virtualbox-host-dkms 6.1.4-5
Windows 10 guest

Attaching the log with 3D enabled.

Changed 20 months ago by Dimitar

comment:53 Changed 20 months ago by Uegene2

comment:54 Changed 20 months ago by Parazythum

Hi there,

installed version 6.1.6, 3D is a bit better but there are still problems.

  • In GPU CAPS Viewer, I tried again the demos. The furry cube is now hairy when using my nvidia integrated card :) The shadows demo is better but it's still not quite exactly what is expected (shadows are "hard"). The "tubes" demo still shows the interior at some places, and is all gray (should be metallic gold)
  • In Photoshop the Nik collection plugin display is all messed-up, the menus don't show at all and the main image has some strange colors and is upside-down - unusable for me :(

I'm uploading the last log now.

Changed 20 months ago by Parazythum

Parazythum-6.1.6

comment:55 Changed 20 months ago by Dimitar

Hello,

I can confirm that after the last update, with 3D enabled and VBoxSVGA Graphic Controller, at least Microsoft Office displays and works as expected. No glitches or issues.

Arch linux with kernel 5.4.36-1-lts

virtualbox 6.1.6-1

virtualbox-guest-iso 6.1.6-1

virtualbox-host-dkms 6.1.6-1

Windows 10 guest

BR, Dimitar Paskov

Last edited 20 months ago by Dimitar (previous) (diff)

comment:56 Changed 14 months ago by Parazythum

Hi there,

it's been a long time I didn't post here, but with the latest 6.1.16 version, 3D is acting almost as I described before, almost nothing has changed:

  • With the GPU CAPS Viewer utility, the "shadows" demo is a bit better but still not quite exactly what is expected: shadows are "hard". The "tubes" demo is showing the interior at some places, and what should be rays of light appear as elongated flat lines. Looks like z-sorting is messed-up.
  • Some of my Photoshop plugins won't work, e.g. Nik collection display is messed-up and unusable
Last edited 14 months ago by Parazythum (previous) (diff)

comment:57 Changed 10 months ago by creqxynfbjizrtcxfe

The problem is still present in VirtualBox v6.1.18 NVIDIA GPU with 461.09 drivers, 20H2 host and guest fresh install

comment:58 Changed 9 months ago by RGRHON

Problem is still present in 6.1.16 on NVIDIA 3090 with AMD 3060X Threadripper. NVIDIA 460.39 Drivers, fresh install. Monitor is 4k LG32UL950. Possibly just not enough graphics memory available in the VM vs. what's on these GPU's or a memory size mismatch? I have complete log set but cant upload it at 1.3MB.

comment:59 Changed 8 months ago by Seo

Really i could not figure it out. I have 1080 and with that old graphic card i am available to open minimum 80 emulator same time. I bought 3090, after 30 emulator i got opengl errors. I wish it fixed soon

comment:60 Changed 8 months ago by caosFrank

Got the same problem today with vbox 6.1.18 Release 142142

comment:61 Changed 8 months ago by the_source_him

Same problem with 6.1.20 143896

comment:62 Changed 8 months ago by NotAlwaysGruntled

I am sorry to enter an irrelevant comment but how on earth does one disable notifications for bug reports? I followed some documentation links and ended here: https://www.virtualbox.org/wiki/TracIn - but I have no idea what to make of that page. (I am sorry for the poor formatting of my link. I found documentation on how to format links but again the documentation was incomprehensible.)

Changed 6 months ago by ehrichweiss23

Log that might help devs.

comment:63 Changed 6 months ago by ehrichweiss23

Host: Arch Linux 5.12 LTS Guest: Win 7(but also experienced with 8.1 and 10 as well) Virtualbox: 6.1.22

I have the same problem. I can confirm it has something to do with OpenGL because an app I am using allows you to disable OpenGL rendering and when I do the app displays correctly.

When I did a search on "OpenGL upside down"(sans "virtualbox"), there was overall generalized speculation that it had something to do with using the wrong viewport or the like. Maybe that'll help someone.

I have attached my log.

Last edited 6 months ago by ehrichweiss23 (previous) (diff)
Note: See TracTickets for help on using tickets.

www.oracle.com
ContactPrivacy policyTerms of Use